com.pdfunit

## Enum ComparedBy

- java.lang.Object
- - java.lang.Enum<ComparedBy>
  - - com.pdfunit.ComparedBy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ComparedBy>

      @DoNotObfuscate
      public enum ComparedBy
      extends java.lang.Enum<ComparedBy>

  This class is used as a swtich, in which way the embedded files of two PDF documents should be compared.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTENT`
    `NAME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComparedBy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ComparedBy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NAME

          public static final ComparedBy NAME

    - #### CONTENT

          public static final ComparedBy CONTENT

  - ### Method Detail

    - #### values

          public static ComparedBy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ComparedBy c : ComparedBy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ComparedBy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright (C) PDFUnit.com. See here for license.